function [ML,MU] = munu_m_d
%
%  Deletes the global data that has been generated by 'munu_m_i'.
%
%  Calling sequence:
%
%    munu_m_d 
%    [ML,MU] = munu_m_d
% 
%  Output:
%
%    ML, MU      LU factors of M
%
%  ML and MU are returned just in case the LU factors of M are needed for some 
%  reason after the computation is done, but have been deleted to save memory.
%
%
%  LYAPACK 1.0 (Thilo Penzl, September 1999)

global LP_ML LP_MU LP_N LP_M

if nargout==1
  ML = LP_ML;
  MU = LP_MU;
end

clear global LP_ML LP_MU LP_N LP_M


